<?xml version="1.0" encoding="latin1" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>1999</year>
      <year>2011</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  The contents of this file are subject to the Erlang Public License,
  Version 1.1, (the "License"); you may not use this file except in
  compliance with the License. You should have received a copy of the
  Erlang Public License along with this software. If not, it can be
  retrieved online at http://www.erlang.org/.

  Software distributed under the License is distributed on an "AS IS"
  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
  the License for the specific language governing rights and limitations
  under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosTransactions_Synchronization</title>
    <prepared>Niclas Eklund</prepared>
    <responsible>Niclas Eklund</responsible>
    <docno></docno>
    <approved>Niclas Eklund</approved>
    <checked></checked>
    <date>1999-04-12</date>
    <rev>PA1</rev>
  </header>
  <module>CosTransactions_Synchronization</module>
  <modulesummary>This module implements the OMG CosTransactions::Synchronization interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosTransactions/CosTransactions.hrl").</c></p>
  </description>
  <funcs>
    <func>
      <name>before_completion(Synchronization) -> Return</name>
      <fsummary>Notify the target object that the transaction is about to enter the prepare phase</fsummary>
      <type>
        <v>Synchronization = #objref</v>
        <v>Return = ok</v>
      </type>
      <desc>
        <p>If the target object is a transaction using the operation <c>register_synchronization/2</c>
          it will be notified to perform necessary processing prior to the prepare phase.</p>
      </desc>
    </func>
    <func>
      <name>after_completion(Synchronization) -> Return</name>
      <fsummary>Notify the target object that the transaction is completed</fsummary>
      <type>
        <v>Synchronization = #objref</v>
        <v>Return = ok</v>
      </type>
      <desc>
        <p>If the target object is a transaction using the operation <c>register_synchronization/2</c>
          it will be notified to perform necessary processing after terminating the transaction.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

